Re: [eclipse-clp-users] Java error

From: Kish Shen <kisshen_at_...5...>
Date: Sat, 19 Apr 2014 01:18:08 +0100
Hi Sam,

I think you need to set DYLD_LIBRARY_PATH rather than LD_LIBRARY_PATH on 
Mac OS X.

Cheers,

Kish

On 18/04/2014 14:54, Samuel Kolb wrote:
> Hi,
>
> I installed ECLiPSe on my mac. When I try to connect to it using Java and run the QuickTest file I get an UnsatisfiedLinkError.
> It says: Either the shared library /Applications/eclipse_clp/lib/x86_64_macosx/libec_java.dylibcould not be found, or a library it depends on could not be found in LD_LIBRARY_PATH (LD_LIBRARY_PATH is set to /Users/samuelkolb/Library/Java/Extensions:/Library/Java/Extensions:/Network/Library/Java/Extensions:/System/Library/Java/Extensions:/usr/lib/java:.
>
> I checked and /Applications/eclipse_clp/lib/x86_64_macosx/libec_java.dylib is present so I'm not sure where the error comes from.
> Any help would be appreciated!
>
> Sam
>
>
>
> ------------------------------------------------------------------------------
> Learn Graph Databases - Download FREE O'Reilly Book
> "Graph Databases" is the definitive new guide to graph databases and their
> applications. Written by three acclaimed leaders in the field,
> this first edition is now available. Download your free book today!
> http://p.sf.net/sfu/NeoTech
>
>
>
> _______________________________________________
> ECLiPSe-CLP-Users mailing list
> ECLiPSe-CLP-Users_at_lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/eclipse-clp-users
>
Received on Sat Apr 19 2014 - 00:18:23 CEST

This archive was generated by hypermail 2.2.0 : Mon Jul 09 2018 - 02:05:30 CEST